LearnIT2Teach
Moodle Browser Check
This page will check your browser to ensure it meets minimum requirements for Moodle Courses.

 
 
 
 
 
 
 
 
 
 
 
Some Moodle courses use browser plug-ins. Below are quick links to some you may need, along with other relevant links.

Plugins / Downloads
Adobe Acrobat Flash Player ShockWave Player JavaFirefox Internet Explorer

 

Resources / Links

Firefox Pop-up Blocker  |  Internet Explorer Pop-up Blocker